%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name yamllint
%global pypi_version 1.35.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A linter for YAML files.

License:        None
URL:            None
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
# BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-sphinx
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
yamllint
========

A linter for YAML files.

yamllint does not only check for
syntax validity, but for weirdnesses like key
repetition and cosmetic problems
such as lines length, trailing spaces,
indentation, etc.

.. image::
   https:/
/github.com/adrienverge/yamllint/actions/workflows/ci.yaml/badge.svg?branch=mas
ter
   :target:...

%package -n     python3.11-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3.11-%{pypi_name}}

%description -n python3.11-%{pypi_name}
yamllint
========

A linter for YAML files.

yamllint does not only check for
syntax validity, but for weirdnesses like key
repetition and cosmetic problems
such as lines length, trailing spaces,
indentation, etc.

.. image::
   https:/
/github.com/adrienverge/yamllint/actions/workflows/ci.yaml/badge.svg?branch=mas
ter
   :target:...

%package -n python-%{pypi_name}-doc
Summary:        yamllint documentation
%description -n python-%{pypi_name}-doc
Documentation for yamllint

%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Force setuptools_scm usage for older setuptools
sed -i 's/setuptools.setup.*/setuptools.setup(use_scm_version=True)/' setup.py
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}

# %check
# %{__python3} setup.py test

%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Jul 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.35.1-1
- Initial package.
